/*
Uber CSS styles that are common to all greenback related themes.
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
*/

/*
-- Scaffolding Styles --
These are applied at the level of a HTML page that embeds the layouts, fragments and pages.
*/

html {
	display: flex;
	font-size: 12px;
}

html, body {
	padding: 0; margin: 0;
	min-width: 100%; min-height: 100%;
	font-family: "Montserrat"; font-weight: 300;
}

@media (min-width: 768px) {
	html { font-size: 12px; }
}

@media (min-width: 992px) {
	html { font-size: 15px; }
}

@media (min-width: 2100px) {
	html { font-size: 16px; }
}

:root { /* GLOBAL COLOR TABLE */

	--color-01 : #495057;
	--color-02 : #343A40;
	--color-03 : #212529;

	--color-04 : #F8F9FA;
	--color-05 : #F1F3F5;

	--color-06 : #525E73;
	--color-07 : #3B475D;

	--color-08 : #FBC84F;
	--color-09 : #F7931A;
	--color-10 : #F5C248;

	--color-11 : #6DB33F;
	--color-12 : #64B26C;
	--color-13 : #63B175;
	--color-14 : #509861;
}

/*
-- Layout Styles --
These are applied at the level of a Latinum layout that embeds fragments and pages.
*/

#page {
	display: flex;
	flex-direction: column;
	min-width: 100%; min-height: 100%;
}

#vert-filler {
	flex-grow: 1;
	padding: 2rem 0 0 0;
}

/*
-- TopBar Styles --
These are applied on the topbar that is embedded in a layout.
*/

#topbar {
	margin: 0; padding: 0;
	background-color: var(--color-04);
	color: var(--color-02);
	font-family: "Metropolis"; font-size: 1rem;
}

#topbar.landing {
	padding: 2rem 0 0 0;
	background-color: var(--color-01);
}

#topbar .navbar-brand {
	margin: 0.5rem 0 0.5rem 1rem;
}

#topbar .navbar-brand img {
	max-height: 1.4rem;
}

#topbar .nav-item {
	padding: 0 0.1rem;
}

#topbar .nav-link {
	display: block;
	background-color: var(--color-11);
	color: white;
	border-radius: 3px;
	padding: 0.7rem 1.1rem 0.6rem 1.1rem;
	line-height: 100%;
}

/*
-- Content Styles --
These are applied on the main content that is embedded in a layout.
*/

#maincnt {
	margin: 0px;
	display: flex;
	flex-direction: column;
	justify-content: stretch;
	font-size: 1.1rem;
}

#maincnt a {
	color: var(--color-11);
	font-weight: 400;
}

#maincnt .btn-primary {
	background-color: var(--color-12);
	color: white;
	border: none; border-radius: 5px;
	padding: 0.9rem 1rem;
	line-height: 100%;
}

#maincnt h1, #maincnt h2, #maincnt h3, #maincnt h4, #maincnt h5, #maincnt h6 {
	color: var(--color-06);
}

#maincnt h1 {
	display: block;
	font-family: "Metropolis"; font-weight: 700; font-size: 1.8rem;
	padding: 1.6rem 0 0.5rem 0;
}

#maincnt h2 {
	font-family: "Metropolis"; font-weight: 700; font-size: 1.6rem;
	padding: 1.2rem 0 0.5rem 0;
}

#maincnt h3 {
	font-family: "Metropolis"; font-weight: 700; font-size: 1.4rem;
	padding: 1rem 0 0.5rem 0;
}

#maincnt .highlight {
	padding: 1rem; margin: 1rem 0;
	background-color: var(--color-04);
}

#maincnt .highlight pre {
	background-color: var(--color-04) !important;
}

#maincnt pre, #maincnt code {
	font-family: "Anonymous Pro";
	font-size: 1em !important;
}